Перечислить все модели встраивания
curl --request GET \
--url https://api.llmstore.ru/v1/embeddings/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.llmstore.ru/v1/embeddings/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.llmstore.ru/v1/embeddings/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"architecture": {
"input_modalities": [
"text"
],
"instruct_type": null,
"modality": "text->text",
"output_modalities": [
"embeddings"
],
"tokenizer": "GPT"
},
"canonical_slug": "openai/text-embedding-3-small",
"context_length": 8192,
"created": 1692901234,
"default_parameters": null,
"description": "OpenAI text embedding model optimized for performance.",
"expiration_date": null,
"id": "openai/text-embedding-3-small",
"knowledge_cutoff": null,
"links": {
"details": "/api/v1/models/openai/text-embedding-3-small/endpoints"
},
"name": "Text Embedding 3 Small",
"per_request_limits": null,
"pricing": {
"completion": "0",
"image": "0",
"prompt": "0.00000002",
"request": "0"
},
"supported_parameters": [],
"supported_voices": null,
"top_provider": {
"context_length": 8192,
"is_moderated": false,
"max_completion_tokens": null
}
}
]
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Embeddings
Перечислить все модели встраивания
Возвращает список всех доступных моделей встраивания и их свойств.
GET
/
embeddings
/
models
Перечислить все модели встраивания
Authorizations
API-ключ в качестве токена носителя в заголовке авторизации
Query Parameters
Количество записей, которые нужно пропустить при нумерации страниц. Если и смещение, и предел опущены, возвращается полный список.
Required range:
x >= 0Example:
0
Максимальное количество возвращаемых записей (максимум 1000). Если и смещение, и предел опущены, возвращается полный список.
Required range:
1 <= x <= 1000Example:
500
Response
Возвращает список моделей встраивания.
Список доступных моделей
Список доступных моделей
Show child attributes
Show child attributes
Example:
[
{
"architecture": {
"input_modalities": ["text"],
"instruct_type": "chatml",
"modality": "text->text",
"output_modalities": ["text"],
"tokenizer": "GPT"
},
"canonical_slug": "openai/gpt-4",
"context_length": 8192,
"created": 1692901234,
"default_parameters": null,
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
"expiration_date": null,
"id": "openai/gpt-4",
"knowledge_cutoff": null,
"links": {
"details": "/api/v1/models/openai/gpt-4/endpoints"
},
"name": "GPT-4",
"per_request_limits": null,
"pricing": {
"completion": "0.00006",
"image": "0",
"prompt": "0.00003",
"request": "0"
},
"supported_parameters": ["temperature", "top_p", "max_tokens"],
"supported_voices": null,
"top_provider": {
"context_length": 8192,
"is_moderated": true,
"max_completion_tokens": 4096
}
}
]
Ссылки на пагинацию
Show child attributes
Show child attributes
Общее количество моделей, соответствующих запросу
Example:
150
⌘I